Subject: Re: bug#13392: 24.1; Shell/Unicode/Python issue

From: Chong Yidong <[email-masked]>
Date: Sat, 12 Jan 2013 13:24:35 +0800

Mike Travers <[email-masked]> writes:

> I am very happy with Emacs Unicode support and use it all the
> time. However, the shell apparently is not as Unicode-friendly as it
> should be.
>
> Sorry I don’t know how to reproduce this bug in pure Emacs, it
> requires installing an external program. This is a python script, that
> in some cases dies because the stream it tries to output doesn’t
> support Unicode. The program works fine in a standard Mac Terminal
> window, but not within Emacs.
>
> More details here:
> https://github.com/gleitz/howdoi/issues/9#issuecomment-12014746

That link doesn't really provide a recipe either.  It seems to indicate
that the problem is fixed?

If not, please show the value of default-process-coding-system.  And try
doing C-x RET c to specify a coding system for the shell, before calling
M-x shell (see the `shell' docstring for details).